<%
/**
 * Copyright (c) 2000-2005 Liferay, LLC. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/document_library/init.jsp" %>
<%@ page import="com.liferay.util.RMSCoder" %>
<%
DLRepository repository = (DLRepository)request.getAttribute(WebKeys.DOCUMENT_LIBRARY_REPOSITORY);
DLFileProfile fileProfile = (DLFileProfile)request.getAttribute(WebKeys.DOCUMENT_LIBRARY_FILE_PROFILE);
List fileVersions = (List)request.getAttribute(WebKeys.DOCUMENT_LIBRARY_FILE_VERSIONS);

//RMS-I
//String path = fileProfile.getPath();
//String name = fileProfile.getShortFileName();
String path = RMSCoder.RMSEncode(fileProfile.getPath());
String name = RMSCoder.RMSEncode(fileProfile.getShortFileName());
//RMS-F

DateFormat shortDF = DateFormat.getDateInstance(DateFormat.SHORT, locale);
%>

<%@ include file="/html/portlet/document_library/version_history.jsp" %>