<%
/**
 * Copyright (c) 2000-2005 Liferay, LLC. All rights reserved.
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy
 * of this software and associated documentation files (the "Software"), to deal
 * in the Software without restriction, including without limitation the rights
 * to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 * copies of the Software, and to permit persons to whom the Software is
 * furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in
 * all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
 * SOFTWARE.
 */
%>

<%@ include file="/html/portlet/document_library/init.jsp" %>
<%@ page import="com.liferay.util.RMSCoder" %>
<%
DLRepository repository = (DLRepository)request.getAttribute(WebKeys.DOCUMENT_LIBRARY_REPOSITORY);

String path = request.getParameter("file_path");
if ((path == null) || (path.equals("null"))) {
	path = "/";
}
//RMS-I
else{
    path = RMSCoder.RMSDecode(request.getParameter("file_path"));
}
//RMS-F

String name = request.getParameter("file_name");
if ((name == null) || (name.equals("null"))) {
	name = "";
}
//RMS-I
else{
    name = RMSCoder.RMSDecode(request.getParameter("file_name"));
}
//RMS-F
%>

<form action="<portlet:actionURL><portlet:param name="struts_action" value="/document_library/add_directory" /></portlet:actionURL>" method="post" name="<portlet:namespace />fm" onSubmit="submitForm(this); return false;">
<input name="<portlet:namespace /><%= Constants.CMD %>" type="hidden" value="<%= Constants.ADD %>">
<input name="<portlet:namespace />redirect" type="hidden" value="<portlet:renderURL><portlet:param name="struts_action" value="/document_library/view_repository" /><portlet:param name="repository_id" value="<%= repository.getRepositoryId() %>" /></portlet:renderURL>">
<input name="<portlet:namespace />repository_id" type="hidden" value="<%= repository.getRepositoryId() %>">
<input name="<portlet:namespace />file_path" type="hidden" value="<%= path %>">

<liferay:box top="/html/common/box_top.jsp" bottom="/html/common/box_bottom.jsp">
	<liferay:param name="box_title" value="<%= LanguageUtil.get(pageContext, \"add-folder\") %>" />

	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			<font class="bg" size="2"><b><%= LanguageUtil.get(pageContext, "repository") %></b></font>
		</td>
		<td width="10">
			&nbsp;
		</td>
		<td>
			<font class="bg" size="2"><a class="bg" href="<portlet:renderURL><portlet:param name="struts_action" value="/document_library/view_repository" /><portlet:param name="repository_id" value="<%= repository.getRepositoryId() %>" /></portlet:renderURL>"><%= repository.getName() %></a></font>
		</td>
	</tr>
	<tr>
		<td colspan="3">
			<br>
		</td>
	</tr>
	<tr>
		<td>
			<font class="bg" size="2"><b><%= LanguageUtil.get(pageContext, "folder-path") %></b></font>
		</td>
		<td width="10">
			&nbsp;
		</td>
		<td>
			<font class="bg" size="2"><%= path %></font>
		</td>
	</tr>
	<tr>
		<td colspan="3">
			<br>
		</td>
	</tr>

	<c:if test="<%= SessionErrors.contains(renderRequest, DirectoryNameException.class.getName()) %>">
		<tr>
			<td colspan="3">
				<font class="bg" size="1"><span class="bg-neg-alert"><%= LanguageUtil.get(pageContext, "please-enter-a-valid-folder-name") %></span></font>
			</td>
		</tr>
	</c:if>

	<c:if test="<%= SessionErrors.contains(renderRequest, DuplicateDirectoryException.class.getName()) %>">
		<tr>
			<td colspan="3">
				<font class="bg" size="1"><span class="bg-neg-alert"><%= LanguageUtil.get(pageContext, "please-enter-a-unique-folder-name") %></span></font>
			</td>
		</tr>
	</c:if>

	<tr>
		<td>
			<font class="bg" size="2"><b><%= LanguageUtil.get(pageContext, "folder-name") %></b></font>
		</td>
		<td width="10">
			&nbsp;
		</td>
		<td>
			<input class="form-text" name="<portlet:namespace />file_name" type="text" value="<%= name %>">
		</td>
	</tr>
	</table>

	<br>

	<table border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td>
			<input type="submit" value="<%= LanguageUtil.get(pageContext, "add-folder") %>">
		</td>
	</tr>
	</table>
</liferay:box>

</form>

<script language="JavaScript">
	document.<portlet:namespace />fm.<portlet:namespace />file_name.focus();
</script>